call_minute
POST
Callout call_minute: asks your endpoint to charge a payer for one minute of a call.
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”webhook-id
required
string
Unique id of this delivery. Deduplicate on it.
webhook-timestamp
required
string
Unix time in seconds when the delivery was signed.
webhook-signature
required
string
Standard Webhooks signature, v1,<base64 HMAC-SHA256> of id.timestamp.body.
webhook-type
required
string
Always call_minute.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
CallMinuteRequest
Callout call_minute: asks your endpoint to charge a payer for one minute of a call.
object
call_id
required
Call Id
Id of the call; with minute it forms the Idempotency-Key.
string format: uuid
currency
required
Currency
ISO 4217 currency.
string
minute
required
Minute
The minute being charged.
integer
payer
required
Payer
External id of the user who pays.
string
price_minor
required
Price Minor
Price of the minute in minor units of currency.
integer
Example generated
{ "call_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "currency": "example", "minute": 1, "payer": "example", "price_minor": 1}Responses
Section titled “Responses”The answer we use
Media typeapplication/json
CallMinuteResponse
Your answer to the call_minute callout.
object
status
required
Status
insufficient or failed ends the call with reason insufficient_funds.
string
Example
{ "status": "paid"}